\documentclass{minimal}

\usepackage[nomessages]{fp}

\makeatletter
\newcommand{\hourdec}[2]{%
  \FPdiv\hourdec@min{#2}{60}%
  \FPadd\hourdec@res{#1}{\hourdec@min}%
  \FPround\hourdec@res{\hourdec@res}{3}%
  \hourdec@res%
}
\makeatother

\begin{document}
\FPdiv\t{55}{60}
\FPround\t{\t}{3}
\t

8h05 : \hourdec{8}{5}

8h10 : \hourdec{8}{10}

8h15 : \hourdec{8}{15}

8h20 : \hourdec{8}{20}

8h25 : \hourdec{8}{25}

8h30 : \hourdec{8}{30}

8h35 : \hourdec{8}{35}

8h40 : \hourdec{8}{40}

8h45 : \hourdec{8}{45}

8h50 : \hourdec{8}{50}

8h55 : \hourdec{8}{55}

9h00 : \hourdec{9}{00}

\end{document}
